Method: projects.locations.brands.stores.inventories.list

Lists inventories.

HTTP request

GET https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*/stores/*}/inventories

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent store, which owns this collection of inventories. Format: projects/{project}/locations/{location}/brands/{brand}/stores/{store}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of inventories to return. The service may return fewer than this value.

pageToken

string

Optional. A page token, received from a previous inventories.list call. Provide this to retrieve the subsequent page.

filter

string

Optional. Filter expression based on AIP-160.

Request body

The request body must be empty.

Response body

Response message for MenuService.ListInventories.

If successful, the response body contains data with the following structure:

JSON representation
{
  "inventories": [
    {
      object (Inventory)
    }
  ],
  "nextPageToken": string
}
Fields
inventories[]

object (Inventory)

The inventories from the specified collection.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.